# IceGrid::RegistryUnreachableException

## Overview

### exception RegistryUnreachableException

This exception is raised if a registry could not be reached.

#### Used By

Admin::getRegistryInfo
Admin::shutdownRegistry
AdminSession::openRegistryStdErr
AdminSession::openRegistryStdOut

## Data Members

string name;

  The name of the registry that is not reachable.

string reason;

  The reason why the registry couldn't be reached.